#include <bits/stdc++.h>

using namespace std;

#define int long long

const int M = 2001, mod = 1e9 + 7;

vector<int> nei[M];
bool vis[M];

signed main()
{
	int n,m,g;
	cin>>n>>m>>g;
	cout<<m-n+1<<endl;
	cout<<1<<endl;
	
	return 0;
}